Permalink
Browse files

Update for Spock 1.0

  • Loading branch information...
1 parent 5106695 commit 8a36b51de210d46e2bc678615f4a6069d9047429 @pniederw pniederw committed Mar 2, 2015
Showing with 8 additions and 11 deletions.
  1. +3 −6 build.gradle
  2. +1 −1 build.xml
  3. BIN gradle/wrapper/gradle-wrapper.jar
  4. +2 −2 gradle/wrapper/gradle-wrapper.properties
  5. +2 −2 pom.xml
View
@@ -1,6 +1,6 @@
apply plugin: "groovy"
-version = "1.0-SNAPSHOT"
+version = "1.0"
description = "Spock Framework - Example Project"
// Spock works with Java 1.5 and above
@@ -15,8 +15,8 @@ repositories {
dependencies {
// mandatory dependencies for using Spock
- compile "org.codehaus.groovy:groovy-all:2.3.8"
- testCompile "org.spockframework:spock-core:1.0-groovy-2.3-SNAPSHOT"
+ compile "org.codehaus.groovy:groovy-all:2.4.1"
+ testCompile "org.spockframework:spock-core:1.0-groovy-2.4"
// optional dependencies for using Spock
testCompile "org.hamcrest:hamcrest-core:1.3" // only necessary if Hamcrest matchers are used
@@ -36,8 +36,5 @@ task collectJars(type: Copy) {
from configurations.testRuntime
}
-task wrapper(type: Wrapper) {
- gradleVersion = "2.2"
-}
View
@@ -28,7 +28,7 @@
<dependency
groupId="org.spockframework"
artifactId="spock-core"
- version="1.0-groovy-2.3-SNAPSHOT" />
+ version="1.0-groovy-2.4" />
<!-- Optional dependencies for using Spock -->
<!-- enables mocking of classes (in addition to interfaces) -->
<dependency
Binary file not shown.
@@ -1,6 +1,6 @@
-#Mon Dec 08 00:28:14 CET 2014
+#Mon Mar 02 13:00:44 CET 2015
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
-distributionUrl=https\://services.gradle.org/distributions/gradle-2.2-bin.zip
+distributionUrl=https\://services.gradle.org/distributions/gradle-2.3-bin.zip
View
@@ -59,14 +59,14 @@
<dependency>
<groupId>org.spockframework</groupId>
<artifactId>spock-core</artifactId>
- <version>1.0-groovy-2.3-SNAPSHOT</version>
+ <version>1.0-groovy-2.4</version>
<scope>test</scope>
</dependency>
<!-- Optional dependencies for using Spock -->
<dependency> <!-- use a specific Groovy version rather than the one specified by spock-core -->
<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-all</artifactId>
- <version>2.3.10</version>
+ <version>2.4.1</version>
</dependency>
<dependency> <!-- enables mocking of classes (in addition to interfaces) -->
<groupId>cglib</groupId>

0 comments on commit 8a36b51

Please sign in to comment.